org.eclipse.microprofile.rest.client.tck.sse

## Class ReactiveStreamsPublisherTckTest

- java.lang.Object
- - org.reactivestreams.tck.PublisherVerification<javax.ws.rs.sse.InboundSseEvent>
  - - org.eclipse.microprofile.rest.client.tck.sse.ReactiveStreamsPublisherTckTest

All Implemented Interfaces:
  org.reactivestreams.tck.flow.support.PublisherVerificationRules

    public class ReactiveStreamsPublisherTckTest
    extends org.reactivestreams.tck.PublisherVerification<javax.ws.rs.sse.InboundSseEvent>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.reactivestreams.tck.PublisherVerification

`org.reactivestreams.tck.PublisherVerification.PublisherTestRun<T>`

### Field Summary

Fields
`protected static int` `DEFAULT_RECURSION_DEPTH`
`protected static int` `DEFAULT_TIMEOUT`

### Fields inherited from class org.reactivestreams.tck.PublisherVerification

`SKIPPING_NO_ERROR_PUBLISHER_AVAILABLE, SKIPPING_OPTIONAL_TEST_FAILED`

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsPublisherTckTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `boundedDepthOfOnNextAndRequestRecursion()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`org.reactivestreams.Publisher<javax.ws.rs.sse.InboundSseEvent>` `createFailedPublisher()`
`org.reactivestreams.Publisher<javax.ws.rs.sse.InboundSseEvent>` `createPublisher(long elements)`

### Methods inherited from class org.reactivestreams.tck.PublisherVerification

`activePublisherTest, envPublisherReferenceGCTimeoutMillis, maxElementsFromPublisher, notVerified, notVerified, optional_spec104_mustSignalOnErrorWhenFails, optional_spec105_emptyStreamMustTerminateBySignallingOnComplete, optional_spec111_maySupportMultiSubscribe, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingManyUpfront, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingManyUpfrontAndCompleteAsExpected, optional_spec111_multicast_mustProduceTheSameElementsInTheSameSequenceToAllOfItsSubscribersWhenRequestingOneByOne, optional_spec111_registeredSubscribersMustReceiveOnNextOrOnCompleteSignals, optional_spec309_requestNegativeNumberMaySignalIllegalArgumentExceptionWithSpecificMessage, optionalActivePublisherTest, potentiallyPendingTest, potentiallyPendingTest, publisherUnableToSignalOnComplete, required_createPublisher1MustProduceAStreamOfExactly1Element, required_createPublisher3MustProduceAStreamOfExactly3Elements, required_spec101_subscriptionRequestMustResultInTheCorrectNumberOfProducedElements, required_spec102_maySignalLessThanRequestedAndTerminateSubscription, required_spec105_mustSignalOnCompleteWhenFiniteStreamTerminates, required_spec107_mustNotEmitFurtherSignalsOnceOnCompleteHasBeenSignalled, required_spec109_mayRejectCallsToSubscribeIfPublisherIsUnableOrUnwillingToServeThemRejectionMustTriggerOnErrorAfterOnSubscribe, required_spec109_mustIssueOnSubscribeForNonNullSubscriber, required_spec109_subscribeThrowNPEOnNullSubscriber, required_spec302_mustAllowSynchronousRequestCallsFromOnNextAndOnSubscribe, required_spec303_mustNotAllowUnboundedRecursion, required_spec306_afterSubscriptionIsCancelledRequestMustBeNops, required_spec307_afterSubscriptionIsCancelledAdditionalCancelationsMustBeNops, required_spec309_requestNegativeNumberMustSignalIllegalArgumentException, required_spec309_requestZeroMustSignalIllegalArgumentException, required_spec312_cancelMustMakeThePublisherToEventuallyStopSignaling, required_spec313_cancelMustMakeThePublisherEventuallyDropAllReferencesToTheSubscriber, required_spec317_mustNotSignalOnErrorWhenPendingAboveLongMaxValue, required_spec317_mustSupportACumulativePendingElementCountUpToLongMaxValue, required_spec317_mustSupportAPendingElementCountUpToLongMaxValue, required_validate_boundedDepthOfOnNextAndRequestRecursion, required_validate_maxElementsFromPublisher, setUp, skipStochasticTests, stochastic_spec103_mustSignalOnMethodsSequentially, stochasticTest, untested_spec106_mustConsiderSubscriptionCancelledAfterOnErrorOrOnCompleteHasBeenCalled, untested_spec107_mustNotEmitFurtherSignalsOnceOnErrorHasBeenSignalled, untested_spec108_possiblyCanceledSubscriptionShouldNotReceiveOnErrorOrOnCompleteSignals, untested_spec109_subscribeShouldNotThrowNonFatalThrowable, untested_spec110_rejectASubscriptionRequestIfTheSameSubscriberSubscribesTwice, untested_spec304_requestShouldNotPerformHeavyComputations, untested_spec305_cancelMustNotSynchronouslyPerformHeavyComputation, whenHasErrorPublisherTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TIMEOUT

    protected static final int DEFAULT_TIMEOUT

#### DEFAULT_RECURSION_DEPTH

    protected static final int DEFAULT_RECURSION_DEPTH

### Constructor Detail

#### ReactiveStreamsPublisherTckTest

    public ReactiveStreamsPublisherTckTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### boundedDepthOfOnNextAndRequestRecursion

    public long boundedDepthOfOnNextAndRequestRecursion()

Overrides:
  `boundedDepthOfOnNextAndRequestRecursion` in class `org.reactivestreams.tck.PublisherVerification<javax.ws.rs.sse.InboundSseEvent>`

#### createFailedPublisher

    public org.reactivestreams.Publisher<javax.ws.rs.sse.InboundSseEvent> createFailedPublisher()

Specified by:
  `createFailedPublisher` in class `org.reactivestreams.tck.PublisherVerification<javax.ws.rs.sse.InboundSseEvent>`

#### createPublisher

    public org.reactivestreams.Publisher<javax.ws.rs.sse.InboundSseEvent> createPublisher(long elements)

Specified by:
  `createPublisher` in class `org.reactivestreams.tck.PublisherVerification<javax.ws.rs.sse.InboundSseEvent>`